Update, pause, or resume a monitor
curl --request PATCH \
--url https://api.scrinly.com/render/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"intervalMinutes": 21600,
"changeThreshold": 0.5,
"capture": {
"fullPage": true,
"regions": false,
"format": "jpg",
"quality": 80,
"device": "<string>",
"width": 123,
"height": 123,
"timeout": 35,
"hideSelectors": [
"<string>"
],
"clickSelectors": [
"<string>"
],
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": true,
"secure": true
}
],
"storage_path": "<string>"
},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"alerts": {
"email": {
"account": true,
"recipientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
}
'import requests
url = "https://api.scrinly.com/render/monitors/{id}"
payload = {
"name": "<string>",
"url": "<string>",
"intervalMinutes": 21600,
"changeThreshold": 0.5,
"capture": {
"fullPage": True,
"regions": False,
"format": "jpg",
"quality": 80,
"device": "<string>",
"width": 123,
"height": 123,
"timeout": 35,
"hideSelectors": ["<string>"],
"clickSelectors": ["<string>"],
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": True,
"secure": True
}
],
"storage_path": "<string>"
},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"alerts": {
"email": {
"account": True,
"recipientIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
intervalMinutes: 21600,
changeThreshold: 0.5,
capture: {
fullPage: true,
regions: false,
format: 'jpg',
quality: 80,
device: '<string>',
width: 123,
height: 123,
timeout: 35,
hideSelectors: ['<string>'],
clickSelectors: ['<string>'],
headers: {},
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
httpOnly: true,
secure: true
}
],
storage_path: '<string>'
},
diff: {mode: 'perceptual', visualization: 'overlay'},
alerts: {
email: {account: true, recipientIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
webhook: {url: '<string>', secret: '<string>'}
}
})
};
fetch('https://api.scrinly.com/render/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'intervalMinutes' => 21600,
'changeThreshold' => 0.5,
'capture' => [
'fullPage' => true,
'regions' => false,
'format' => 'jpg',
'quality' => 80,
'device' => '<string>',
'width' => 123,
'height' => 123,
'timeout' => 35,
'hideSelectors' => [
'<string>'
],
'clickSelectors' => [
'<string>'
],
'headers' => [
],
'cookies' => [
[
'name' => '<string>',
'value' => '<string>',
'domain' => '<string>',
'path' => '<string>',
'httpOnly' => true,
'secure' => true
]
],
'storage_path' => '<string>'
],
'diff' => [
'mode' => 'perceptual',
'visualization' => 'overlay'
],
'alerts' => [
'email' => [
'account' => true,
'recipientIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'webhook' => [
'url' => '<string>',
'secret' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/monitors/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.scrinly.com/render/monitors/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"monitor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"intervalMinutes": 123,
"baselineMode": "rolling",
"changeThreshold": 123,
"capture": {},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"createdAt": "2023-11-07T05:31:56Z",
"alerts": {},
"baselineRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"incident": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Monitors
Update, pause, or resume a monitor
PATCH
/
render
/
monitors
/
{id}
Update, pause, or resume a monitor
curl --request PATCH \
--url https://api.scrinly.com/render/monitors/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"url": "<string>",
"intervalMinutes": 21600,
"changeThreshold": 0.5,
"capture": {
"fullPage": true,
"regions": false,
"format": "jpg",
"quality": 80,
"device": "<string>",
"width": 123,
"height": 123,
"timeout": 35,
"hideSelectors": [
"<string>"
],
"clickSelectors": [
"<string>"
],
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": true,
"secure": true
}
],
"storage_path": "<string>"
},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"alerts": {
"email": {
"account": true,
"recipientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
}
'import requests
url = "https://api.scrinly.com/render/monitors/{id}"
payload = {
"name": "<string>",
"url": "<string>",
"intervalMinutes": 21600,
"changeThreshold": 0.5,
"capture": {
"fullPage": True,
"regions": False,
"format": "jpg",
"quality": 80,
"device": "<string>",
"width": 123,
"height": 123,
"timeout": 35,
"hideSelectors": ["<string>"],
"clickSelectors": ["<string>"],
"headers": {},
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": True,
"secure": True
}
],
"storage_path": "<string>"
},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"alerts": {
"email": {
"account": True,
"recipientIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
intervalMinutes: 21600,
changeThreshold: 0.5,
capture: {
fullPage: true,
regions: false,
format: 'jpg',
quality: 80,
device: '<string>',
width: 123,
height: 123,
timeout: 35,
hideSelectors: ['<string>'],
clickSelectors: ['<string>'],
headers: {},
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
httpOnly: true,
secure: true
}
],
storage_path: '<string>'
},
diff: {mode: 'perceptual', visualization: 'overlay'},
alerts: {
email: {account: true, recipientIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
webhook: {url: '<string>', secret: '<string>'}
}
})
};
fetch('https://api.scrinly.com/render/monitors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scrinly.com/render/monitors/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'url' => '<string>',
'intervalMinutes' => 21600,
'changeThreshold' => 0.5,
'capture' => [
'fullPage' => true,
'regions' => false,
'format' => 'jpg',
'quality' => 80,
'device' => '<string>',
'width' => 123,
'height' => 123,
'timeout' => 35,
'hideSelectors' => [
'<string>'
],
'clickSelectors' => [
'<string>'
],
'headers' => [
],
'cookies' => [
[
'name' => '<string>',
'value' => '<string>',
'domain' => '<string>',
'path' => '<string>',
'httpOnly' => true,
'secure' => true
]
],
'storage_path' => '<string>'
],
'diff' => [
'mode' => 'perceptual',
'visualization' => 'overlay'
],
'alerts' => [
'email' => [
'account' => true,
'recipientIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'webhook' => [
'url' => '<string>',
'secret' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.scrinly.com/render/monitors/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.scrinly.com/render/monitors/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scrinly.com/render/monitors/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"intervalMinutes\": 21600,\n \"changeThreshold\": 0.5,\n \"capture\": {\n \"fullPage\": true,\n \"regions\": false,\n \"format\": \"jpg\",\n \"quality\": 80,\n \"device\": \"<string>\",\n \"width\": 123,\n \"height\": 123,\n \"timeout\": 35,\n \"hideSelectors\": [\n \"<string>\"\n ],\n \"clickSelectors\": [\n \"<string>\"\n ],\n \"headers\": {},\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"secure\": true\n }\n ],\n \"storage_path\": \"<string>\"\n },\n \"diff\": {\n \"mode\": \"perceptual\",\n \"visualization\": \"overlay\"\n },\n \"alerts\": {\n \"email\": {\n \"account\": true,\n \"recipientIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"webhook\": {\n \"url\": \"<string>\",\n \"secret\": \"<string>\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"monitor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"intervalMinutes": 123,
"baselineMode": "rolling",
"changeThreshold": 123,
"capture": {},
"diff": {
"mode": "perceptual",
"visualization": "overlay"
},
"createdAt": "2023-11-07T05:31:56Z",
"alerts": {},
"baselineRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"incident": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}{
"success": false,
"error": "<string>",
"type": "<string>",
"code": "<string>",
"retryable": true,
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"credits": {
"charged": 1,
"refunded": 1,
"net": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 100Pattern:
^https?://Required range:
1 <= x <= 43200Available options:
rolling, fixed Required range:
0 <= x <= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
active, paused ⌘I